namespace DualScreenDemo
{
    public partial class PrimaryForm
    {
        private void TaiYuNewSongButtonHotSong_Click(object sender, EventArgs e)
        {
            // 重置其他按钮背景
            UpdateHotSongButtons(taiYuNewSongButtonHotSong, taiYuNewSongHotSongActiveBackground);

            string query = $"SELECT * FROM song_library_cache WHERE language_name = '台語' ORDER BY `add_date` DESC, `song_counts` DESC  LIMIT {Utils.Env.GetInt("HotSongLimit", 100)};";
            var selectedSongs = SearchSongs_Mysql(query);
            
            currentPage = 0; 
            totalPages = (int)Math.Ceiling((double)selectedSongs.Count / itemsPerPage);

            multiPagePanel.currentPageIndex = 0;
            multiPagePanel.LoadSongs(selectedSongs);
        }
    }
} 

